import React from 'react';
import { Analytics, AnalyticsBrowser, AnalyticsBrowserSettings, InitOptions } from '@segment/analytics-next';
export declare const createClient: (settings: AnalyticsBrowserSettings, options?: InitOptions | undefined) => AnalyticsBrowser;
export declare type AnalyticsProviderProps = ({
    client: AnalyticsBrowser | Analytics;
} | AnalyticsBrowserSettings) & {
    children?: React.ReactNode;
};
export declare const AnalyticsProvider: ({ children, ...rest }: AnalyticsProviderProps) => JSX.Element;
export declare const useAnalytics: () => AnalyticsBrowser;
